Package com.documentum.fc.client

# Interface IDfFormat

All Superinterfaces:
  `IDfPersistentObject`, `IDfTypedObject`

public interface IDfFormat extends IDfPersistentObject
Provides access to format information.

A format object contains information about a file format recognized by a Documentum repository.

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canIndex()`
  Indicates if a format can be full-text indexed.
  `String`
  `getAssetClass()`
  `String`
  `getCOMClassId()`
  Specifies the Microsoft COM Class ID for a format.
  `IDfId`
  `getDefaultStorage()`
  `String`
  `getDescription()`
  Retrieves the user-defined description of a format.
  `String`
  `getDOSExtension()`
  Retrieves the DOS extension used to copy files of this format into the common area, client local area, and storage.
  `String`
  `getFilenameModifier()`
  `String`
  `getFormatClass(int index)`
  `int`
  `getIconIndex()`
  `String`
  `getMacCreator()`
  Retrieves the Macintosh creator to use for a format.
  `String`
  `getMacType()`
  Retrieves the Macintosh type to use for a format.
  `String`
  `getMIMEType()`
  Specifies the MIME (Multimedia Internet Mail Extension) type to use for a format.
  `String`
  `getName()`
  Retrieves the format name.
  `String`
  `getPagePluginName()`
  Returns the name of the SBO (i.e. plugin) that implements the page aware functionality associated with objects of this format.
  `String`
  `getTopicFilter()`
  Retrieves the indexing filter to be used when indexing a file that has a directly indexable format.
  `IDfId`
  `getTopicFormat()`
  Retrieves the object ID of the format to which this format must be transformed to allow indexing.
  `String`
  `getTopicFormatName()`
  Retrieves the name of the format to which this format must be transformed to allow indexing.
  `boolean`
  `getTopicTransform()`
  Indicates if it is necessary to transform a format before indexing is allowed.
  `String`
  `getWin31App()`
  Retrieves the name of the Windows application to launch when users select a document in this format.
  `boolean`
  `isHidden()`
  Indicates whether a format is hidden from users.
  `boolean`
  `isRichmediaEnabled()`
  `void`
  `setAssetClass(String value)`
  `void`
  `setCanIndex(boolean value)`
  `void`
  `setComClassId(String value)`
  `void`
  `setDefaultStorage(IDfId value)`
  `void`
  `setDescription(String value)`
  `void`
  `setDOSExtension(String value)`
  `void`
  `setFilenameModifier(String value)`
  `void`
  `setFormatClass(int index, String value)`
  `void`
  `setHidden(boolean value)`
  `void`
  `setIconIndex(int value)`
  `void`
  `setMacCreator(String value)`
  `void`
  `setMacType(String value)`
  `void`
  `setMimeType(String value)`
  `void`
  `setName(String value)`
  `void`
  `setRichmediaEnabled(boolean value)`
  `void`
  `setTopicFilter(String value)`
  `void`
  `setTopicFormat(IDfId value)`
  `void`
  `setTopicFormatName(String value)`
  `void`
  `setTopicTransform(boolean value)`
  `void`
  `setWin31App(String value)`

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### getName

    String getName() throws DfException
    Retrieves the format name.
    Throws:
      `DfException`

  - ### setName

    void setName(String value) throws DfException
    Throws:
      `DfException`

  - ### getDescription

    String getDescription() throws DfException
    Retrieves the user-defined description of a format.
    Throws:
      `DfException`

  - ### setDescription

    void setDescription(String value) throws DfException
    Throws:
      `DfException`

  - ### canIndex

    boolean canIndex() throws DfException
    Indicates if a format can be full-text indexed.
    Throws:
      `DfException`

  - ### setCanIndex

    void setCanIndex(boolean value) throws DfException
    Throws:
      `DfException`

  - ### getTopicTransform

    boolean getTopicTransform() throws DfException
    Indicates if it is necessary to transform a format before indexing is allowed.

    See the Server Fundamentals for more information about transforming formats.
    Throws:
      `DfException`

  - ### setTopicTransform

    void setTopicTransform(boolean value) throws DfException
    Throws:
      `DfException`

  - ### getTopicFilter

    String getTopicFilter() throws DfException
    Retrieves the indexing filter to be used when indexing a file that has a directly indexable format.

    This is the name of the VERITY filter to use for indexing. See the Server Administrator's Guide for more information on indexing filters.
    Throws:
      `DfException`

  - ### setTopicFilter

    void setTopicFilter(String value) throws DfException
    Throws:
      `DfException`

  - ### getTopicFormat

    IDfId getTopicFormat() throws DfException
    Retrieves the object ID of the format to which this format must be transformed to allow indexing.

    This method is applicable only if the topic_transform attribute is set to TRUE.See the Server Fundamentals for more information about transforming object formats.
    Throws:
      `DfException`

  - ### setTopicFormat

    void setTopicFormat(IDfId value) throws DfException
    Throws:
      `DfException`

  - ### getTopicFormatName

    String getTopicFormatName() throws DfException
    Retrieves the name of the format to which this format must be transformed to allow indexing.

    This method is applicable only if the topic_transform attribute is set to TRUE.See the Server Fundamentals for more information about transforming object formats.
    Throws:
      `DfException`

  - ### setTopicFormatName

    void setTopicFormatName(String value) throws DfException
    Throws:
      `DfException`

  - ### getMacCreator

    String getMacCreator() throws DfException
    Retrieves the Macintosh creator to use for a format.
    Throws:
      `DfException`

  - ### setMacCreator

    void setMacCreator(String value) throws DfException
    Throws:
      `DfException`

  - ### getMacType

    String getMacType() throws DfException
    Retrieves the Macintosh type to use for a format.
    Throws:
      `DfException`

  - ### setMacType

    void setMacType(String value) throws DfException
    Throws:
      `DfException`

  - ### getDOSExtension

    String getDOSExtension() throws DfException
    Retrieves the DOS extension used to copy files of this format into the common area, client local area, and storage.
    Throws:
      `DfException`

  - ### setDOSExtension

    void setDOSExtension(String value) throws DfException
    Throws:
      `DfException`

  - ### isHidden

    boolean isHidden() throws DfException
    Indicates whether a format is hidden from users.
    Throws:
      `DfException`

  - ### setHidden

    void setHidden(boolean value) throws DfException
    Throws:
      `DfException`

  - ### getWin31App

    String getWin31App() throws DfException
    Retrieves the name of the Windows application to launch when users select a document in this format.
    Throws:
      `DfException`

  - ### setWin31App

    void setWin31App(String value) throws DfException
    Throws:
      `DfException`

  - ### getCOMClassId

    String getCOMClassId() throws DfException
    Specifies the Microsoft COM Class ID for a format.
    Throws:
      `DfException`

  - ### setComClassId

    void setComClassId(String value) throws DfException
    Throws:
      `DfException`

  - ### getMIMEType

    String getMIMEType() throws DfException
    Specifies the MIME (Multimedia Internet Mail Extension) type to use for a format.
    Throws:
      `DfException`

  - ### setMimeType

    void setMimeType(String value) throws DfException
    Throws:
      `DfException`

  - ### getIconIndex

    int getIconIndex() throws DfException
    Throws:
      `DfException`

  - ### setIconIndex

    void setIconIndex(int value) throws DfException
    Throws:
      `DfException`

  - ### isRichmediaEnabled

    boolean isRichmediaEnabled() throws DfException
    Throws:
      `DfException`

  - ### setRichmediaEnabled

    void setRichmediaEnabled(boolean value) throws DfException
    Throws:
      `DfException`

  - ### getAssetClass

    String getAssetClass() throws DfException
    Throws:
      `DfException`

  - ### setAssetClass

    void setAssetClass(String value) throws DfException
    Throws:
      `DfException`

  - ### getDefaultStorage

    IDfId getDefaultStorage() throws DfException
    Throws:
      `DfException`

  - ### setDefaultStorage

    void setDefaultStorage(IDfId value) throws DfException
    Throws:
      `DfException`

  - ### getFilenameModifier

    String getFilenameModifier() throws DfException
    Throws:
      `DfException`

  - ### setFilenameModifier

    void setFilenameModifier(String value) throws DfException
    Throws:
      `DfException`

  - ### getFormatClass

    String getFormatClass(int index) throws DfException
    Throws:
      `DfException`

  - ### setFormatClass

    void setFormatClass(int index, String value) throws DfException
    Throws:
      `DfException`

  - ### getPagePluginName

    String getPagePluginName() throws DfException
    Returns the name of the SBO (i.e. plugin) that implements the page aware functionality associated with objects of this format. Returns null if the attribute a_pluginName does not exist for server versions 5.x and below.
    Returns:
      name of the SBO . Returns null if no plugin is available
    Throws:
      `DfException`
    Since:
      D6